﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public class Board
    {
        public ReadOnlyCollection<Cell> ReadCells => cells.AsReadOnly();
        private readonly List<Cell> cells = new();

        public Board()
        {

            for (int i = 0; i < 12; i++)
            {
                for (int j = 0; j < 12; j++)
                {
                    Cell localcell = new(i, j);
                    cells.Add(localcell);
                }
            }
        }

        public bool AddTileInCell(int x, int y, Tile tile)
        {
            for (int i = 0; i < cells.Count; i++)
            {
                if (this.cells[i].GetX != x || this.cells[i].GetY != y) continue;
                if (cells[i].IsFree == true)
                {
                    return cells[i].SetTile(tile);

                }
            }
            return false;
        }

        public List<Cell> GetCells()
        {
            return cells;
        }

        public IReadOnlyCollection<Cell> GetReadCells()
        {
            return ReadCells;
        }
    }
}
